### Enumeration

# PangoAlignment

#### Declaration

    enum Pango.Alignment

#### Description [src]

`PangoAlignment` describes how to align the lines of a `PangoLayout` within the available space.

If the `PangoLayout` is set to justify using `pango_layout_set_justify()`, this only affects partial lines.

See `pango_layout_set_auto_dir()` for how text direction affects the interpretation of `PangoAlignment` values.

#### Members

`PANGO_ALIGN_LEFT`

  Put all available space on the right.

  - Value: `0`
  - Nickname: `left`
  - Available since: 1.0
`PANGO_ALIGN_CENTER`

  Center the line within the available space.

  - Value: `1`
  - Nickname: `center`
  - Available since: 1.0
`PANGO_ALIGN_RIGHT`

  Put all available space on the left.

  - Value: `2`
  - Nickname: `right`
  - Available since: 1.0